Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.binaries.model
[Java] Interface Library

    org.gradle.plugins.binaries.model.Library
      org.gradle.api.Buildable
          org.gradle.plugins.binaries.model.Binary
              org.gradle.api.Named

All Superinterfaces:
  Buildable, Binary, Named

    public interface Library
    extends Binary

A library

Method Summary
`SourceDirectorySet` | `getHeaders()`
`LibraryCompileSpec` | `getSpec()`

Methods inherited from interface Binary
getProject, getSourceSets, getSpec

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface Named
getName

Method Detail

### getHeaders

    public SourceDirectorySet getHeaders()

### getSpec

    public LibraryCompileSpec getSpec()

Gradle API 1.1-rc-1